> For the complete documentation index, see [llms.txt](https://docs.motus.org/sensorgnome/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motus.org/sensorgnome/v1/appendix/bbdrivers.md).

# Installing BeagleBone drivers

{% hint style="danger" %}
You are viewing the V1 Legacy SensorGnome user guide. This software has not been updated since 2018.
{% endhint %}

The drivers for BeagleBone SensorGnomes can be found in the table below (copied from the [BeagleBone homepage](http://beagleboard.org/getting-started)).

| Operating System                               | USB Drivers                                                                                                                                                                                              | Comments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ---------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>Windows (64-bit)</p><p>Windows (32-bit)</p> | <p><a href="https://beagleboard.org/static/Drivers/Windows/BONE_D64.exe">64-bit installer</a></p><p><a href="https://beagleboard.org/static/Drivers/Windows/BONE_DRV.exe">32-bit installer</a></p>       | <p>If in doubt, try the 64-bit installer first.</p><ul><li><strong>Note #1:</strong> Windows Driver Certification warning may pop up two or three times. Click "Ignore", "Install" or "Run"</li><li><strong>Note #2:</strong> To check if you're running 32 or 64-bit Windows see this: <a href="https://support.microsoft.com/kb/827218">support.microsoft.com/kb/827218</a>.</li><li><strong>Note #3:</strong> On systems without the latest service release, you may get an error (0xc000007b). In that case, please install the following and retry: <a href="https://www.microsoft.com/en-us/download/confirmation.aspx?id=13523">[www.microsoft.com/en-us/download/confirmation.aspx?id=13523](http://www.microsoft.com/en-us/download/confirmation.aspx?id=13523)</a>.</li><li><strong>Note #4:</strong> You may need to reboot Windows.</li><li><strong>Note #5:</strong> These drivers have been tested to work up to Windows 10</li></ul> |
| Mac OS X                                       | <p><a href="https://beagleboard.org/static/Drivers/MacOSX/RNDIS/HoRNDIS.pkg">Network</a><br><a href="https://beagleboard.org/static/Drivers/MacOSX/FTDI/EnergiaFTDIDrivers2.2.18.pkg">Serial</a><br></p> | Install both sets of drivers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Linux                                          | [mkudevrule.sh](https://beagleboard.org/static/Drivers/Linux/FTDI/mkudevrule.sh)                                                                                                                         | Driver installation isn't required, but you might find a few udev rules helpful.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

## If installation fails

On many newer computers, such as those with Windows 10, the operating system blocks the installation of the BeagleBone drivers as they are “unsigned.” The process may simply fail without an informative message.

![Driver installation may fail because the drivers are unsigned](/files/-MVS5GqNw2__xAjImOl3)

The way around this is to temporarily disable this security check. Instructions on how to do that [can be found here](https://www.howtogeek.com/167723/how-to-disable-driver-signature-verification-on-64-bit-windows-8.1-so-that-you-can-install-unsigned-drivers/). Option 2 is the simplest and the security measures will revert after the next reboot. The steps are summarized below.

**1)** Hold down the Shift key while you click the “Restart” option in Windows. Your computer will restart into the Advanced Boot menu

![](/files/-MVS7JQN08Hq4NGRhoE2)

2\) Select the “Troubleshoot” tile on the Choose an option screen that appears

![](/files/-MVS7JQOTBDN5ZfHuL3Q)

3\) Select “Advanced options”

![](/files/-MVS7JQPu4C_bJAtGpOo)

4\) Click the “Startup Settings” tile

![](/files/-MVS7JQQqgFQc0qOR90U)

5\) Click the “Restart” button to restart your PC into the Startup Settings screen

![](/files/-MVS7JQR2FEhJXg0Rdo6)

6\) Type “7” or “F7” at the Startup Settings screen to activate the “Disable driver signature enforcement” option

![](/files/-MVS7JQSnydB4SPfQrQ5)

Your PC will boot with driver signature enforcement disabled and you’ll be able to install unsigned drivers. However, the next time you restart your computer, driver signature enforcement will be disabled—unless you go through this menu again.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.motus.org/sensorgnome/v1/appendix/bbdrivers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
